## org.apache.solr.common.params
Enum CollectionParams.CollectionAction

    java.lang.Object
      java.lang.Enum<CollectionParams.CollectionAction>
          org.apache.solr.common.params.CollectionParams.CollectionAction

All Implemented Interfaces:
  Serializable, Comparable<CollectionParams.CollectionAction>

Enclosing interface:
  CollectionParams

    public static enum CollectionParams.CollectionAction

extends Enum<CollectionParams.CollectionAction>

Enum Constant Summary
`CREATE`
`DELETE`
`RELOAD`
`SYNCSHARD`

Method Summary
`static CollectionParams.CollectionAction` `get(String p)`
`static CollectionParams.CollectionAction` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CollectionParams.CollectionAction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CREATE

    public static final CollectionParams.CollectionAction CREATE

### DELETE

    public static final CollectionParams.CollectionAction DELETE

### RELOAD

    public static final CollectionParams.CollectionAction RELOAD

### SYNCSHARD

    public static final CollectionParams.CollectionAction SYNCSHARD

Method Detail

### values

    public static CollectionParams.CollectionAction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CollectionParams.CollectionAction c : CollectionParams.CollectionAction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CollectionParams.CollectionAction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static CollectionParams.CollectionAction get(String p)